#ifndef USERINFO_H_INCLUDED
#define USERINFO_H_INCLUDED

#include "boost/asio.hpp"
#include "boost/bind.hpp"
#include "boost/shared_ptr.hpp"
#include "boost/array.hpp"
#include "boost/enable_shared_from_this.hpp"
#include "boost/signal.hpp"
#include "boost/thread.hpp"
#include "boost/date_time/posix_time/posix_time.hpp"



struct TUserInfo
{

	float PosX;
	float PosY;
	
	size_t MapState;

	std::string FirstName;
	std::string MiddleName;
	std::string LastName;

	std::string PhoneNumber;

	size_t Uik;

	size_t Status;

	TUserInfo();

};





#endif
