//
//  AppDelegate.h
//  k-observer-iphone
//
//  Created by vvv ооо on 26.08.12.
//  Copyright (c) 2012 __MyCompanyName__. All rights reserved.
//

#import <UIKit/UIKit.h>
#import <CoreLocation/CoreLocation.h>


#import "NavigationControllerDelegate.h"
#import "ObserverClient.h"

@class ConnectViewController;
@class MainMenuViewController;
@class ProfileViewController;
@class AlarmViewController;
@class MapViewController;
@class MessagesViewController;
@class SendMessageViewController;

@interface AppDelegate : UIResponder <UIApplicationDelegate, CLLocationManagerDelegate>
{
}

@property (strong, nonatomic) UIWindow *window;

@property (strong, nonatomic) UINavigationController *navController;

@property (strong, nonatomic) ConnectViewController *connectViewController;

@property (strong, nonatomic) MainMenuViewController *mainMenuViewController;

@property (strong, nonatomic) ProfileViewController *profileViewController;

@property (strong, nonatomic) AlarmViewController *alarmViewController;

@property (strong, nonatomic) MapViewController *mapViewController;

@property (strong, nonatomic) MessagesViewController *messagesViewController;

@property (strong, nonatomic) SendMessageViewController *sendMessageViewController;

@property (strong, nonatomic) NavigationControllerDelegate *navigationControllerDelegate;

@property (strong, nonatomic) ObserverClient* observerClient;

@property (strong, nonatomic) CLLocationManager *locationManager;

@property (strong, nonatomic) UIActivityIndicatorView* spinner;

-(void)gotoMainMenu;
-(void)gotoMainMenuImmediate;

- (void)locationManager:(CLLocationManager *)manager
    didUpdateToLocation:(CLLocation *)newLocation
           fromLocation:(CLLocation *)oldLocation;

@end
