//
//  ObserverClient.h
//  k-observer-iphone
//
//  Created by vvv ооо on 27.08.12.
//  Copyright (c) 2012 __MyCompanyName__. All rights reserved.
//

#import <Foundation/Foundation.h>

@interface ObserverClient : NSObject
{
    BOOL Active;
    float CurrentLon;
    float CurrentLat;
}

-(void)ConnectTo:(NSString*)address onPort:(NSString*)port;

-(void)StopTryingConnect;

-(void)Close;

-(void)UpdateProfileWithLastName:(NSString*)lastName
                       FirstName:(NSString*)firstName
                       MiddleName:(NSString*)middleName
                     PhoneNumber:(NSString*)phoneNumber
                       UikNumber:(int)uikNumber
                          Status:(int)status;

-(void)SetMapState:(int)mode;

-(int)GetMapState;

-(void)UpdateLon:(float)lon Lat:(float)lat;

-(void)PassLonLatToClient;

-(void)StartHeartbeatTimer;

-(void)StopHeartbeatTimer;

-(void)StartMapHeartbeatTimer;

-(void)StopMapHeartbeatTimer;

-(void)SendMessage:(NSString*)msg;

-(float)GetBaseLon;
-(float)GetBaseLat;
-(int)GetBaseZoom;

-(void)SwitchMapToAlarm;
-(void)SwitchMapToCommon;
-(bool)IsAlarmMap;

@end


